Package icyllis.modernui.view.menu

# Class MenuItemImpl

java.lang.Object
icyllis.modernui.view.menu.MenuItemImpl

All Implemented Interfaces:
  `MenuItem`

public final class MenuItemImpl extends Object implements MenuItem

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from interface icyllis.modernui.view.MenuItem

  `MenuItem.OnActionExpandListener, MenuItem.OnMenuItemClickListener`

- ## Field Summary

  ### Fields inherited from interface icyllis.modernui.view.MenuItem

  `SHOW_AS_ACTION_ALWAYS, SHOW_AS_ACTION_COLLAPSE_ACTION_VIEW, SHOW_AS_ACTION_IF_ROOM, SHOW_AS_ACTION_NEVER, SHOW_AS_ACTION_WITH_TEXT`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `actionFormatChanged()`
  `boolean`
  `collapseActionView()`
  Collapse the action view associated with this menu item.
  `boolean`
  `expandActionView()`
  Expand the action view associated with this menu item.
  `ActionProvider`
  `getActionProvider()`
  Gets the `ActionProvider`.
  `View`
  `getActionView()`
  Returns the currently set action view for this menu item.
  `int`
  `getAlphabeticModifiers()`
  Return the modifier for this menu item's alphabetic shortcut.
  `char`
  `getAlphabeticShortcut()`
  Return the char for this menu item's alphabetic shortcut.
  `CharSequence`
  `getContentDescription()`
  Retrieve the content description associated with this menu item.
  `int`
  `getGroupId()`
  Return the group identifier that this menu item is part of.
  `Drawable`
  `getIcon()`
  Returns the icon for this item as a Drawable (getting it from resources if it hasn't been loaded before).
  `ColorStateList`
  `getIconTintList()`
  `int`
  `getItemId()`
  Return the identifier for this menu item.
  `ContextMenu.ContextMenuInfo`
  `getMenuInfo()`
  Gets the extra information linked to this menu item.
  `int`
  `getNumericModifiers()`
  Return the modifiers for this menu item's numeric (12-key) shortcut.
  `char`
  `getNumericShortcut()`
  Return the char for this menu item's numeric (12-key) shortcut.
  `int`
  `getOrder()`
  Return the category and order within the category of this item.
  `int`
  `getOrdering()`
  `SubMenu`
  `getSubMenu()`
  Get the sub-menu to be invoked when this item is selected, if it has one.
  `CharSequence`
  `getTitle()`
  Retrieve the current title of the item.
  `CharSequence`
  `getTitleCondensed()`
  Retrieve the current condensed title of the item.
  `CharSequence`
  `getTooltipText()`
  Retrieve the tooltip text associated with this menu item.
  `boolean`
  `hasCollapsibleActionView()`
  `boolean`
  `hasSubMenu()`
  Check whether this item has an associated sub-menu.
  `boolean`
  `invoke()`
  Invokes the item by calling various listeners or callbacks.
  `boolean`
  `isActionButton()`
  `boolean`
  `isActionViewExpanded()`
  Returns true if this menu item's action view has been expanded.
  `boolean`
  `isCheckable()`
  Return whether the item can currently display a check mark.
  `boolean`
  `isChecked()`
  Return whether the item is currently displaying a check mark.
  `boolean`
  `isEnabled()`
  Return the enabled state of the menu item.
  `boolean`
  `isExclusiveCheckable()`
  `boolean`
  `isVisible()`
  Return the visibility of the menu item.
  `boolean`
  `requestsActionButton()`
  `boolean`
  `requiresActionButton()`
  Returns true if `MenuItem.setShowAsAction(int)` was set to `MenuItem.SHOW_AS_ACTION_ALWAYS`.
  `boolean`
  `requiresOverflow()`
  Returns true if `MenuItem.setShowAsAction(int)` was set to `MenuItem.SHOW_AS_ACTION_NEVER`.
  `MenuItem`
  `setActionProvider(ActionProvider actionProvider)`
  Sets the `ActionProvider` responsible for creating an action view if the item is placed on the action bar.
  `MenuItem`
  `setActionView(View view)`
  Set an action view for this menu item.
  `void`
  `setActionViewExpanded(boolean isExpanded)`
  `MenuItem`
  `setAlphabeticShortcut(char alphaChar)`
  Change the alphabetic shortcut associated with this item.
  `MenuItem`
  `setAlphabeticShortcut(char alphaChar, int alphaModifiers)`
  Change the alphabetic shortcut associated with this item.
  `MenuItem`
  `setCallback(Runnable callback)`
  `MenuItem`
  `setCheckable(boolean checkable)`
  Control whether this item can display a check mark.
  `MenuItem`
  `setChecked(boolean checked)`
  Control whether this item is shown with a check mark.
  `MenuItem`
  `setContentDescription(CharSequence contentDescription)`
  Change the content description associated with this menu item.
  `MenuItem`
  `setEnabled(boolean enabled)`
  Sets whether the menu item is enabled.
  `void`
  `setExclusiveCheckable(boolean exclusive)`
  `MenuItem`
  `setIcon(Drawable icon)`
  Change the icon associated with this item.
  `MenuItem`
  `setIconTintList(ColorStateList iconTintList)`
  Applies a tint to this item's icon.
  `void`
  `setIsActionButton(boolean isActionButton)`
  `MenuItem`
  `setNumericShortcut(char numericChar)`
  Change the numeric shortcut associated with this item.
  `MenuItem`
  `setNumericShortcut(char numericChar, int numericModifiers)`
  Change the numeric shortcut and modifiers associated with this item.
  `MenuItem`
  `setOnActionExpandListener(MenuItem.OnActionExpandListener listener)`
  Set an `MenuItem.OnActionExpandListener` on this menu item to be notified when the associated action view is expanded or collapsed.
  `MenuItem`
  `setOnMenuItemClickListener(MenuItem.OnMenuItemClickListener clickListener)`
  Set a custom listener for invocation of this menu item.
  `MenuItem`
  `setShortcut(char numericChar, char alphaChar)`
  Change both the numeric and alphabetic shortcut associated with this item.
  `MenuItem`
  `setShortcut(char numericChar, char alphaChar, int numericModifiers, int alphaModifiers)`
  Change both the numeric and alphabetic shortcut associated with this item.
  `void`
  `setShowAsAction(int actionEnum)`
  Sets how this item should display in the presence of an Action Bar.
  `MenuItem`
  `setShowAsActionFlags(int actionEnum)`
  Sets how this item should display in the presence of an Action Bar.
  `MenuItem`
  `setTitle(CharSequence title)`
  Change the title associated with this item.
  `MenuItem`
  `setTitleCondensed(CharSequence title)`
  Change the condensed title associated with this item.
  `MenuItem`
  `setTooltipText(CharSequence tooltipText)`
  Change the tooltip text associated with this menu item.
  `MenuItem`
  `setVisible(boolean shown)`
  Sets the visibility of the menu item.
  `boolean`
  `shouldShowIcon()`
  `boolean`
  `showsTextAsAction()`
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Method Details

  - ### invoke

    public boolean invoke()
    Invokes the item by calling various listeners or callbacks.
    Returns:
      true if the invocation was handled, false otherwise

  - ### isEnabled

    public boolean isEnabled()
    Description copied from interface: `MenuItem`
    Return the enabled state of the menu item.
    Specified by:
      `isEnabled` in interface `MenuItem`
    Returns:
      If true the item is enabled and hence invokable; else it is not.

  - ### setEnabled

    public MenuItem setEnabled(boolean enabled)
    Description copied from interface: `MenuItem`
    Sets whether the menu item is enabled. Disabling a menu item will not allow it to be invoked via its shortcut. The menu item will still be visible.
    Specified by:
      `setEnabled` in interface `MenuItem`
    Parameters:
      `enabled` - If true then the item will be invokable; if false it is won't be invokable.
    Returns:
      This Item so additional setters can be called.

  - ### getGroupId

    public int getGroupId()
    Description copied from interface: `MenuItem`
    Return the group identifier that this menu item is part of. The group identifier can not be changed after the menu is created.
    Specified by:
      `getGroupId` in interface `MenuItem`
    Returns:
      The menu item's group identifier.

  - ### getItemId

    public int getItemId()
    Description copied from interface: `MenuItem`
    Return the identifier for this menu item. The identifier can not be changed after the menu is created.
    Specified by:
      `getItemId` in interface `MenuItem`
    Returns:
      The menu item's identifier.

  - ### getOrder

    public int getOrder()
    Description copied from interface: `MenuItem`
    Return the category and order within the category of this item. This item will be shown before all items (within its category) that have order greater than this value.

    An order integer contains the item's category (the upper bits of the integer; set by or/add the category with the order within the category) and the ordering of the item within that category (the lower bits). Example categories are `Menu.CATEGORY_SYSTEM`, `Menu.CATEGORY_SECONDARY`, `Menu.CATEGORY_ALTERNATIVE`, `Menu.CATEGORY_CONTAINER`. See `Menu` for a full list.

    Specified by:
      `getOrder` in interface `MenuItem`
    Returns:
      The order of this item.

  - ### getOrdering

    public int getOrdering()

  - ### setCallback

    public MenuItem setCallback(Runnable callback)

  - ### getAlphabeticShortcut

    public char getAlphabeticShortcut()
    Description copied from interface: `MenuItem`
    Return the char for this menu item's alphabetic shortcut.
    Specified by:
      `getAlphabeticShortcut` in interface `MenuItem`
    Returns:
      Alphabetic character to use as a shortcut.

  - ### getAlphabeticModifiers

    public int getAlphabeticModifiers()
    Description copied from interface: `MenuItem`
    Return the modifier for this menu item's alphabetic shortcut. The modifier is a combination of `KeyEvent.META_CTRL_ON`, `KeyEvent.META_ALT_ON`, `KeyEvent.META_SHIFT_ON`.
    Specified by:
      `getAlphabeticModifiers` in interface `MenuItem`
    Returns:
      Modifier associated with the keyboard shortcut.

  - ### setAlphabeticShortcut

    public MenuItem setAlphabeticShortcut(char alphaChar)
    Description copied from interface: `MenuItem`
    Change the alphabetic shortcut associated with this item. The shortcut will be triggered when the key that generates the given character is pressed along with the corresponding modifier key. The default modifier is `KeyEvent.META_CTRL_ON` in case nothing is specified. Case is not significant and shortcut characters will be displayed in lower case. Note that menu items with the characters '\b' or '\n' as shortcuts will get triggered by the Delete key or Carriage Return key, respectively.

    See `Menu` for the menu types that support shortcuts.

    Specified by:
      `setAlphabeticShortcut` in interface `MenuItem`
    Parameters:
      `alphaChar` - The alphabetic shortcut key. This is the shortcut when using a keyboard with alphabetic keys.
    Returns:
      This Item so additional setters can be called.

  - ### setAlphabeticShortcut

    public MenuItem setAlphabeticShortcut(char alphaChar, int alphaModifiers)
    Description copied from interface: `MenuItem`
    Change the alphabetic shortcut associated with this item. The shortcut will be triggered when the key that generates the given character is pressed along with the modifier keys. Case is not significant and shortcut characters will be displayed in lower case. Note that menu items with the characters '\b' or '\n' as shortcuts will get triggered by the Delete key or Carriage Return key, respectively.

    See `Menu` for the menu types that support shortcuts.

    Specified by:
      `setAlphabeticShortcut` in interface `MenuItem`
    Parameters:
      `alphaChar` - The alphabetic shortcut key. This is the shortcut when using a keyboard with alphabetic keys.
      `alphaModifiers` - The modifier associated with the shortcut. It should be a combination of `KeyEvent.META_CTRL_ON`, `KeyEvent.META_ALT_ON`, `KeyEvent.META_SHIFT_ON`.
    Returns:
      This Item so additional setters can be called.

  - ### getNumericShortcut

    public char getNumericShortcut()
    Description copied from interface: `MenuItem`
    Return the char for this menu item's numeric (12-key) shortcut.
    Specified by:
      `getNumericShortcut` in interface `MenuItem`
    Returns:
      Numeric character to use as a shortcut.

  - ### getNumericModifiers

    public int getNumericModifiers()
    Description copied from interface: `MenuItem`
    Return the modifiers for this menu item's numeric (12-key) shortcut. The modifier is a combination of `KeyEvent.META_CTRL_ON`, `KeyEvent.META_ALT_ON`, `KeyEvent.META_SHIFT_ON`.
    Specified by:
      `getNumericModifiers` in interface `MenuItem`
    Returns:
      Modifier associated with the numeric shortcut.

  - ### setNumericShortcut

    public MenuItem setNumericShortcut(char numericChar)
    Description copied from interface: `MenuItem`
    Change the numeric shortcut associated with this item.

    See `Menu` for the menu types that support shortcuts.

    Specified by:
      `setNumericShortcut` in interface `MenuItem`
    Parameters:
      `numericChar` - The numeric shortcut key. This is the shortcut when using a 12-key (numeric) keyboard.
    Returns:
      This Item so additional setters can be called.

  - ### setNumericShortcut

    public MenuItem setNumericShortcut(char numericChar, int numericModifiers)
    Description copied from interface: `MenuItem`
    Change the numeric shortcut and modifiers associated with this item.

    See `Menu` for the menu types that support shortcuts.

    Specified by:
      `setNumericShortcut` in interface `MenuItem`
    Parameters:
      `numericChar` - The numeric shortcut key. This is the shortcut when using a 12-key (numeric) keyboard.
      `numericModifiers` - The modifier associated with the shortcut. It should be a combination of `KeyEvent.META_CTRL_ON`, `KeyEvent.META_ALT_ON`, `KeyEvent.META_SHIFT_ON`.
    Returns:
      This Item so additional setters can be called.

  - ### setShortcut

    public MenuItem setShortcut(char numericChar, char alphaChar)
    Description copied from interface: `MenuItem`
    Change both the numeric and alphabetic shortcut associated with this item. Note that the shortcut will be triggered when the key that generates the given character is pressed along with the corresponding modifier key. The default modifier is `KeyEvent.META_CTRL_ON` in case nothing is specified. Also note that case is not significant and that alphabetic shortcut characters will be handled in lower case.

    See `Menu` for the menu types that support shortcuts.

    Specified by:
      `setShortcut` in interface `MenuItem`
    Parameters:
      `numericChar` - The numeric shortcut key. This is the shortcut when using a numeric (e.g., 12-key) keyboard.
      `alphaChar` - The alphabetic shortcut key. This is the shortcut when using a keyboard with alphabetic keys.
    Returns:
      This Item so additional setters can be called.

  - ### setShortcut

    public MenuItem setShortcut(char numericChar, char alphaChar, int numericModifiers, int alphaModifiers)
    Description copied from interface: `MenuItem`
    Change both the numeric and alphabetic shortcut associated with this item. Note that the shortcut will be triggered when the key that generates the given character is pressed along with the corresponding modifier key. Also note that case is not significant and that alphabetic shortcut characters will be handled in lower case.

    See `Menu` for the menu types that support shortcuts.

    Specified by:
      `setShortcut` in interface `MenuItem`
    Parameters:
      `numericChar` - The numeric shortcut key. This is the shortcut when using a numeric (e.g., 12-key) keyboard.
      `alphaChar` - The alphabetic shortcut key. This is the shortcut when using a keyboard with alphabetic keys.
      `numericModifiers` - The numeric modifier associated with the shortcut. It should be a combination of `KeyEvent.META_CTRL_ON`, `KeyEvent.META_ALT_ON`, `KeyEvent.META_SHIFT_ON`.
      `alphaModifiers` - The alphabetic modifier associated with the shortcut. It should be a combination of `KeyEvent.META_CTRL_ON`, `KeyEvent.META_ALT_ON`, `KeyEvent.META_SHIFT_ON`.
    Returns:
      This Item so additional setters can be called.

  - ### getSubMenu

    public SubMenu getSubMenu()
    Description copied from interface: `MenuItem`
    Get the sub-menu to be invoked when this item is selected, if it has one. See `MenuItem.hasSubMenu()`.
    Specified by:
      `getSubMenu` in interface `MenuItem`
    Returns:
      The associated menu if there is one, else null

  - ### hasSubMenu

    public boolean hasSubMenu()
    Description copied from interface: `MenuItem`
    Check whether this item has an associated sub-menu. I.e. it is a sub-menu of another menu.
    Specified by:
      `hasSubMenu` in interface `MenuItem`
    Returns:
      If true this item has a menu; else it is a normal item.

  - ### getTitle

    public CharSequence getTitle()
    Description copied from interface: `MenuItem`
    Retrieve the current title of the item.
    Specified by:
      `getTitle` in interface `MenuItem`
    Returns:
      The title.

  - ### setTitle

    public MenuItem setTitle(CharSequence title)
    Description copied from interface: `MenuItem`
    Change the title associated with this item.
    Specified by:
      `setTitle` in interface `MenuItem`
    Parameters:
      `title` - The new text to be displayed.
    Returns:
      This Item so additional setters can be called.

  - ### getTitleCondensed

    public CharSequence getTitleCondensed()
    Description copied from interface: `MenuItem`
    Retrieve the current condensed title of the item. If a condensed title was never set, it will return the normal title.
    Specified by:
      `getTitleCondensed` in interface `MenuItem`
    Returns:
      The condensed title, if it exists. The normal title otherwise.

  - ### setTitleCondensed

    public MenuItem setTitleCondensed(CharSequence title)
    Description copied from interface: `MenuItem`
    Change the condensed title associated with this item. The condensed title is used in situations where the normal title may be too long to be displayed.
    Specified by:
      `setTitleCondensed` in interface `MenuItem`
    Parameters:
      `title` - The new text to be displayed as the condensed title.
    Returns:
      This Item so additional setters can be called.

  - ### getIcon

    @Nullable public Drawable getIcon()
    Description copied from interface: `MenuItem`
    Returns the icon for this item as a Drawable (getting it from resources if it hasn't been loaded before). Note that if you call `MenuItem.setIconTintList(ColorStateList)` on this item, and you use a custom menu presenter in your application, you have to apply the tinting explicitly on the `Drawable` returned by this method.
    Specified by:
      `getIcon` in interface `MenuItem`
    Returns:
      The icon as a Drawable.

  - ### setIcon

    public MenuItem setIcon(Drawable icon)
    Description copied from interface: `MenuItem`
    Change the icon associated with this item. This icon will not always be shown, so the title should be sufficient in describing this item. See `Menu` for the menu types that support icons.
    Specified by:
      `setIcon` in interface `MenuItem`
    Parameters:
      `icon` - The new icon (as a Drawable) to be displayed.
    Returns:
      This Item so additional setters can be called.

  - ### setIconTintList

    public MenuItem setIconTintList(@Nullable ColorStateList iconTintList)
    Description copied from interface: `MenuItem`
    Applies a tint to this item's icon.

    Subsequent calls to `MenuItem.setIcon(Drawable)` will automatically mutate the icon and apply the specified tint and tint mode using `Drawable.setTintList(ColorStateList)`.

    Specified by:
      `setIconTintList` in interface `MenuItem`
    Parameters:
      `iconTintList` - the tint to apply, may be `null` to clear tint
    See Also:
      - `MenuItem.getIconTintList()`
      - `Drawable.setTintList(ColorStateList)`

  - ### getIconTintList

    @Nullable public ColorStateList getIconTintList()
    Specified by:
      `getIconTintList` in interface `MenuItem`
    Returns:
      the tint applied to this item's icon
    See Also:
      - `MenuItem.setIconTintList(ColorStateList)`

  - ### isCheckable

    public boolean isCheckable()
    Description copied from interface: `MenuItem`
    Return whether the item can currently display a check mark.
    Specified by:
      `isCheckable` in interface `MenuItem`
    Returns:
      If a check mark can be displayed, returns true.
    See Also:
      - `MenuItem.setCheckable(boolean)`

  - ### setCheckable

    public MenuItem setCheckable(boolean checkable)
    Description copied from interface: `MenuItem`
    Control whether this item can display a check mark. Setting this does not actually display a check mark (see `MenuItem.setChecked(boolean)` for that); rather, it ensures there is room in the item in which to display a check mark.

    See `Menu` for the menu types that support check marks.

    Specified by:
      `setCheckable` in interface `MenuItem`
    Parameters:
      `checkable` - Set to true to allow a check mark, false to disallow. The default is false.
    Returns:
      This Item so additional setters can be called.
    See Also:
      - `MenuItem.setChecked(boolean)`
      - `MenuItem.isCheckable()`
      - `Menu.setGroupCheckable(int, boolean, boolean)`

  - ### setExclusiveCheckable

    public void setExclusiveCheckable(boolean exclusive)

  - ### isExclusiveCheckable

    public boolean isExclusiveCheckable()

  - ### isChecked

    public boolean isChecked()
    Description copied from interface: `MenuItem`
    Return whether the item is currently displaying a check mark.
    Specified by:
      `isChecked` in interface `MenuItem`
    Returns:
      If a check mark is displayed, returns true.
    See Also:
      - `MenuItem.setChecked(boolean)`

  - ### setChecked

    public MenuItem setChecked(boolean checked)
    Description copied from interface: `MenuItem`
    Control whether this item is shown with a check mark. Note that you must first have enabled checking with `MenuItem.setCheckable(boolean)` or else the check mark will not appear. If this item is a member of a group that contains mutually-exclusive items (set via `Menu.setGroupCheckable(int, boolean, boolean)`), the other items in the group will be unchecked.

    See `Menu` for the menu types that support check marks.

    Specified by:
      `setChecked` in interface `MenuItem`
    Parameters:
      `checked` - Set to true to display a check mark, false to hide it. The default value is false.
    Returns:
      This Item so additional setters can be called.
    See Also:
      - `MenuItem.setCheckable(boolean)`
      - `MenuItem.isChecked()`
      - `Menu.setGroupCheckable(int, boolean, boolean)`

  - ### isVisible

    public boolean isVisible()
    Description copied from interface: `MenuItem`
    Return the visibility of the menu item.
    Specified by:
      `isVisible` in interface `MenuItem`
    Returns:
      If true the item is visible; else it is hidden.

  - ### setVisible

    public MenuItem setVisible(boolean shown)
    Description copied from interface: `MenuItem`
    Sets the visibility of the menu item. Even if a menu item is not visible, it may still be invoked via its shortcut (to completely disable an item, set it to invisible and `disabled`).
    Specified by:
      `setVisible` in interface `MenuItem`
    Parameters:
      `shown` - If true then the item will be visible; if false it is hidden.
    Returns:
      This Item so additional setters can be called.

  - ### setOnMenuItemClickListener

    public MenuItem setOnMenuItemClickListener(MenuItem.OnMenuItemClickListener clickListener)
    Description copied from interface: `MenuItem`
    Set a custom listener for invocation of this menu item.
    Specified by:
      `setOnMenuItemClickListener` in interface `MenuItem`
    Parameters:
      `clickListener` - The object to receive invokations.
    Returns:
      This Item so additional setters can be called.

  - ### toString

    @NonNull public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getMenuInfo

    public ContextMenu.ContextMenuInfo getMenuInfo()
    Description copied from interface: `MenuItem`
    Gets the extra information linked to this menu item. This extra information is set by the View that added this menu item to the menu.
    Specified by:
      `getMenuInfo` in interface `MenuItem`
    Returns:
      The extra information linked to the View that added this menu item to the menu. This can be null.
    See Also:
      - `View.OnCreateContextMenuListener`

  - ### actionFormatChanged

    public void actionFormatChanged()

  - ### shouldShowIcon

    public boolean shouldShowIcon()
    Returns:
      Whether the menu should show icons for menu items.

  - ### isActionButton

    public boolean isActionButton()

  - ### requestsActionButton

    public boolean requestsActionButton()

  - ### requiresActionButton

    public boolean requiresActionButton()
    Description copied from interface: `MenuItem`
    Returns true if `MenuItem.setShowAsAction(int)` was set to `MenuItem.SHOW_AS_ACTION_ALWAYS`. Default value is `false`.
    Specified by:
      `requiresActionButton` in interface `MenuItem`

  - ### requiresOverflow

    public boolean requiresOverflow()
    Description copied from interface: `MenuItem`
    Returns true if `MenuItem.setShowAsAction(int)` was set to `MenuItem.SHOW_AS_ACTION_NEVER`. Default value is `true`.
    Specified by:
      `requiresOverflow` in interface `MenuItem`

  - ### setIsActionButton

    public void setIsActionButton(boolean isActionButton)

  - ### showsTextAsAction

    public boolean showsTextAsAction()

  - ### setShowAsAction

    public void setShowAsAction(int actionEnum)
    Description copied from interface: `MenuItem`
    Sets how this item should display in the presence of an Action Bar. The parameter actionEnum is a flag set. One of `MenuItem.SHOW_AS_ACTION_ALWAYS`, `MenuItem.SHOW_AS_ACTION_IF_ROOM`, or `MenuItem.SHOW_AS_ACTION_NEVER` should be used, and you may optionally OR the value with `MenuItem.SHOW_AS_ACTION_WITH_TEXT`. SHOW_AS_ACTION_WITH_TEXT requests that when the item is shown as an action, it should be shown with a text label.
    Specified by:
      `setShowAsAction` in interface `MenuItem`
    Parameters:
      `actionEnum` - How the item should display. One of `MenuItem.SHOW_AS_ACTION_ALWAYS`, `MenuItem.SHOW_AS_ACTION_IF_ROOM`, or `MenuItem.SHOW_AS_ACTION_NEVER`. SHOW_AS_ACTION_NEVER is the default.
    See Also:
      - `MenuItem.setActionView(View)`

  - ### setActionView

    public MenuItem setActionView(View view)
    Description copied from interface: `MenuItem`
    Set an action view for this menu item. An action view will be displayed in place of an automatically generated menu item element in the UI when this item is shown as an action within a parent.

    Note: Setting an action view overrides the action provider set via `MenuItem.setActionProvider(ActionProvider)`.

    Specified by:
      `setActionView` in interface `MenuItem`
    Parameters:
      `view` - View to use for presenting this item to the user.
    Returns:
      This Item so additional setters can be called.
    See Also:
      - `MenuItem.setShowAsAction(int)`

  - ### getActionView

    @Nullable public View getActionView()
    Description copied from interface: `MenuItem`
    Returns the currently set action view for this menu item.
    Specified by:
      `getActionView` in interface `MenuItem`
    Returns:
      This item's action view
    See Also:
      - `MenuItem.setActionView(View)`
      - `MenuItem.setShowAsAction(int)`

  - ### getActionProvider

    public ActionProvider getActionProvider()
    Description copied from interface: `MenuItem`
    Gets the `ActionProvider`.
    Specified by:
      `getActionProvider` in interface `MenuItem`
    Returns:
      The action provider.
    See Also:
      - `ActionProvider`
      - `MenuItem.setActionProvider(ActionProvider)`

  - ### setActionProvider

    public MenuItem setActionProvider(ActionProvider actionProvider)
    Description copied from interface: `MenuItem`
    Sets the `ActionProvider` responsible for creating an action view if the item is placed on the action bar. The provider also provides a default action invoked if the item is placed in the overflow menu.

    Note: Setting an action provider overrides the action view set via `MenuItem.setActionView(View)`.

    Specified by:
      `setActionProvider` in interface `MenuItem`
    Parameters:
      `actionProvider` - The action provider.
    Returns:
      This Item so additional setters can be called.
    See Also:
      - `ActionProvider`

  - ### setShowAsActionFlags

    public MenuItem setShowAsActionFlags(int actionEnum)
    Description copied from interface: `MenuItem`
    Sets how this item should display in the presence of an Action Bar. The parameter actionEnum is a flag set. One of `MenuItem.SHOW_AS_ACTION_ALWAYS`, `MenuItem.SHOW_AS_ACTION_IF_ROOM`, or `MenuItem.SHOW_AS_ACTION_NEVER` should be used, and you may optionally OR the value with `MenuItem.SHOW_AS_ACTION_WITH_TEXT`. SHOW_AS_ACTION_WITH_TEXT requests that when the item is shown as an action, it should be shown with a text label.

    Note: This method differs from `MenuItem.setShowAsAction(int)` only in that it returns the current MenuItem instance for call chaining.

    Specified by:
      `setShowAsActionFlags` in interface `MenuItem`
    Parameters:
      `actionEnum` - How the item should display. One of `MenuItem.SHOW_AS_ACTION_ALWAYS`, `MenuItem.SHOW_AS_ACTION_IF_ROOM`, or `MenuItem.SHOW_AS_ACTION_NEVER`. SHOW_AS_ACTION_NEVER is the default.
    Returns:
      This MenuItem instance for call chaining.
    See Also:
      - `MenuItem.setActionView(View)`

  - ### expandActionView

    public boolean expandActionView()
    Description copied from interface: `MenuItem`
    Expand the action view associated with this menu item. The menu item must have an action view set, as well as the showAsAction flag `MenuItem.SHOW_AS_ACTION_COLLAPSE_ACTION_VIEW`. If a listener has been set using `MenuItem.setOnActionExpandListener(OnActionExpandListener)` it will have its `MenuItem.OnActionExpandListener.onMenuItemActionExpand(MenuItem)` method invoked. The listener may return false from this method to prevent expanding the action view.
    Specified by:
      `expandActionView` in interface `MenuItem`
    Returns:
      true if the action view was expanded, false otherwise.

  - ### collapseActionView

    public boolean collapseActionView()
    Description copied from interface: `MenuItem`
    Collapse the action view associated with this menu item. The menu item must have an action view set, as well as the showAsAction flag `MenuItem.SHOW_AS_ACTION_COLLAPSE_ACTION_VIEW`. If a listener has been set using `MenuItem.setOnActionExpandListener(OnActionExpandListener)` it will have its `MenuItem.OnActionExpandListener.onMenuItemActionCollapse(MenuItem)` method invoked. The listener may return false from this method to prevent collapsing the action view.
    Specified by:
      `collapseActionView` in interface `MenuItem`
    Returns:
      true if the action view was collapsed, false otherwise.

  - ### setOnActionExpandListener

    public MenuItem setOnActionExpandListener(MenuItem.OnActionExpandListener listener)
    Description copied from interface: `MenuItem`
    Set an `MenuItem.OnActionExpandListener` on this menu item to be notified when the associated action view is expanded or collapsed. The menu item must be configured to expand or collapse its action view using the flag `MenuItem.SHOW_AS_ACTION_COLLAPSE_ACTION_VIEW`.
    Specified by:
      `setOnActionExpandListener` in interface `MenuItem`
    Parameters:
      `listener` - Listener that will respond to expand/collapse events
    Returns:
      This menu item instance for call chaining

  - ### hasCollapsibleActionView

    public boolean hasCollapsibleActionView()

  - ### setActionViewExpanded

    public void setActionViewExpanded(boolean isExpanded)

  - ### isActionViewExpanded

    public boolean isActionViewExpanded()
    Description copied from interface: `MenuItem`
    Returns true if this menu item's action view has been expanded.
    Specified by:
      `isActionViewExpanded` in interface `MenuItem`
    Returns:
      true if the item's action view is expanded, false otherwise.
    See Also:
      - `MenuItem.expandActionView()`
      - `MenuItem.collapseActionView()`
      - `MenuItem.SHOW_AS_ACTION_COLLAPSE_ACTION_VIEW`
      - `MenuItem.OnActionExpandListener`

  - ### setContentDescription

    public MenuItem setContentDescription(CharSequence contentDescription)
    Description copied from interface: `MenuItem`
    Change the content description associated with this menu item.
    Specified by:
      `setContentDescription` in interface `MenuItem`
    Parameters:
      `contentDescription` - The new content description.

  - ### getContentDescription

    public CharSequence getContentDescription()
    Description copied from interface: `MenuItem`
    Retrieve the content description associated with this menu item.
    Specified by:
      `getContentDescription` in interface `MenuItem`
    Returns:
      The content description.

  - ### setTooltipText

    public MenuItem setTooltipText(CharSequence tooltipText)
    Description copied from interface: `MenuItem`
    Change the tooltip text associated with this menu item.
    Specified by:
      `setTooltipText` in interface `MenuItem`
    Parameters:
      `tooltipText` - The new tooltip text.

  - ### getTooltipText

    public CharSequence getTooltipText()
    Description copied from interface: `MenuItem`
    Retrieve the tooltip text associated with this menu item.
    Specified by:
      `getTooltipText` in interface `MenuItem`
    Returns:
      The tooltip text.